## Yii-App-Skeleton
An yii application template.

**Important files:**

|       Point        | Access method  |     Application (config)      |          Mission           |
|--------------------|----------------|-------------------------------|----------------------------|
| `public/index.php` | web-browser    | CWebApplication (web)         | Serving user requests.     |
| `./yiic`           | console        | CConsoleApplication (console) | Site maintenance by admin. |
| `./worker`         | console        | WorkerApplication (gearman)   | Doing background work.     |
| `Makefile`         | `make` command | - (-)                         | Deploying, cleaning, etc.  |

### USING `make`
**Available commands**:
- setup - create writable runtime folders
- deploy - deploy files onto server
- clean - cleanup directories /protected/runtime and /public/assets
- help - show this message

Deploy target is stored in **protected/config/local/deploy-target**.
To change it, write in new deploy target without trailing newline char.
To disable it, write empty string.

### Different configurations per application
There are 2-level structure of configuration:

1. **main.php** - the most common config parameters stored here.
2. file per application in **apps/** - application-specific parameters stored here.

Also, there's file per application in **local/** to make local modifications in config which should not be stored in cvs nor deployed onto remote server.

Also, there are two config files in **componenents/**: database.php and caching.php.

### Other changes
To see what's added open [WHAT'S ADDED log](WHATS_ADDED.md).

---
**License**
This template licensed under the LGPL v3 license.

**Author**
Sergei Vanyushin (wapmorgan@gmail.com)
