## What's added
1. **Different configurations for applications with common configuration (main.php)**.
2. **Web-accessable files moved to `public/`**.
3. **Useful components**:
	* BackEndController - an advanced version of Controller for backend
	* ConsoleCommand - an advanced version of CConsoleCommand
	* Controller - an advanced version of CController
	* DatabaseUserIdentity - a user identity class to search user with email&password in db
	* FrontEndController - an advanced version of Controller for frontend
	* LinkPager - a pager to generate this: `<< First | < Previous | 1 page of 1000 | Next > | Last >>`
	* WebModule - an advanced version of CWebModule. Allows add meta info to module.
	* WebUser - an advanced version of CWebUser. Allows use alerts (setAlert(); getAlerts()) instead of flashes (setFlash(); getFlashes())
	* Worker - an advanced version of gearman.AbstractWorker.
4. **WorkerApplication**. This application is used as gearman worker. Runs with `./worker`. Worker functions are listed in protected/config/apps/gearman.php
5. **Some gii templates**.
6. **Some css-files (alerts.css and yii.css)**.
7. And **Deploy script (deploy.sh) and Makefile**. Run `make` inside the directory.
