# Deploy script
# URL: https://github.com/wapmorgan/yii-app-skeleton
# LICENSE: LGPL v3
# AUTHOR: Sergei Vanyushin (wapmorgan@gmail.com)
if [ "$1" == "" ]; then
	exit 1;
fi;

echo "Deploy target: $1";
rsync --archive \
	--compress \
	--verbose \
	--cvs-exclude \
	--exclude /public/assets/ \
	--exclude /public/static/ \
	--exclude /protected/runtime/ \
	--exclude /protected/config/local/* \
	./ $1;
